Name: libxffm
Version: 4.5.0
Release: alt1.S40.1

Summary: Tubo Remote Process Execution Library
License: GPL
Group: System/Libraries
Url: http://xffm.sourceforge.net/libxffm.html

Source: %name-%version.tar.gz
Source1: libxffm-ru.po

Patch1: libxffm-asneeded.patch
Patch2: libxffm-pkgconfig.patch

Packager: Eugene Ostapets <eostapets@altlinux.ru>

# Automatically added by buildreq on Tue Nov 07 2006
BuildRequires: gcc-c++ imake libSM-devel libdbh-devel libgtk+2-devel libtubo-devel libxml2-devel perl-XML-Parser xorg-cf-files xterm intltool
BuildRequires: gnome-icon-theme gtk-doc

%description
Libxffm is the basic filemanagement library used by some xffm applications, such as the xffm-filemanager. 

%package devel
Summary: Development files for %name
Summary(ru_RU.KOI8-R):   ,  %name
Group: Development/C
PreReq: %name = %version-%release
Provides: pkgconfig(libxffm)

%description devel
Libxffm is the basic filemanagement library used by some xffm applications, such as the xffm-filemanager. 

The %name-devel package contains the header files and documentation
needed to develop applications with %name.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
cp %SOURCE1 po/ru.po

%build
%__libtoolize --force
%__aclocal -I m4/
%__automake
%__autoconf
%configure \
	--enable-shared \
	--disable-static \
	--disable-xfce4-icon-theme \
	--enable-gtk-doc \
	--enable-librsvg
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS ChangeLog
%_libdir/lib*.so.*
%_pixmapsdir/*.png
%dir %_datadir/xffm
%_datadir/xffm/*

%files devel
%_libdir/lib*.so
%dir %_includedir/xffm
%_includedir/xffm/*
%_pkgconfigdir/*.pc

%changelog
* Mon Jun 23 2008 Andrey Cherepanov <cas@altlinux.ru> 4.5.0-alt1.S40.1
- update Russian translation

* Mon Jun 26 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.5.0-alt1
- Initial build for Sisyphus
